<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 03/05/2005 *
 * ===============                              Last change: 03/05/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : patch-system.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Handles patch level                              *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Verwalyet die Patch-Level                        *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (ereg(basename(__FILE__), $_SERVER['PHP_SELF']))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Check for patch level differences between databases and current hard-coded
if (CURR_PATCH_LEVEL > $_CONFIG['patch_level']) {
	// Update database and CONFIG array
	UPDATE_CONFIG(array("patch_level", "path_ctime"), array(CURR_PATH_LEVEL, "UNIX_TIMESTAMP()"));
	$_CONFIG['patch_level'] = CURR_PATCH_LEVEL;
	$_CONFIG['patch_ctime'] = time();
} // END - if

//
?>
