<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/28/2003 *
 * ===============                              Last change: 06/10/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-edit_user.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Edit member's profiles                           *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Mitgliederprofile aendern                        *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

OPEN_TABLE("100%", "admin_content admin_content_align", "");

// Fix a notice
$result_main = false;
if (isset($_GET['u_id'])) {
	//                                    0      1        2         3      4     5      6       7         8          9           10         11
	$result_main = SQL_QUERY_ESC("SELECT sex, surname, family, street_nr, zip, city, country, email, birth_day, birth_month, birth_year, max_mails FROM "._MYSQL_PREFIX."_user_data WHERE userid=%s LIMIT 1",
	 array(bigintval($_GET['u_id'])), __FILE__, __LINE__);
}

if ((SQL_NUMROWS($result_main) == 1) || (empty($_GET['u_id'])))
{
	// User found
	if (empty($_GET['u_id']))
	{
		// Output selection form with all confirmed user accounts listed
		ADD_MEMBER_SELECTION_BOX();
	}
	 elseif (isset($_POST['edit']))
	{
		// Ok, change the account...
		$PASS = false; $ADD = "";
		if ((empty($_POST['pass1'])) && (empty($_POST['pass2'])))
		{
			// Don't change the password
			$PASS = true;
		}
		 elseif (($_POST['pass1'] == $_POST['pass2']))
		{
			// Change the password
			$PASS = true;
			$ADD = ", password='".generateHash($_POST['pass1'])."'";
		}
		if ($PASS)
		{
			// We have to add the following things: birthday and max receive mails
			$result = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_user_data SET
sex='%s',
surname='%s',
family='%s',
street_nr='%s',
country='%s',
zip=%s,
city='%s',
email='%s'
".$ADD."
WHERE userid=%s LIMIT 1",
 array(
	substr($_POST['salut'], 0, 1),
	$_POST['surname'],
	$_POST['family_name'],
	$_POST['street_nr'],
	$_POST['country'],
	bigintval($_POST['zip']),
	$_POST['city'],
	$_POST['email'],
	bigintval($_GET['u_id']),
), __FILE__, __LINE__);
			$content = USER_ACCOUNT_SAVED;
		}
		 else
		{
			// Problem while saving data
			$content = USER_ACCOUNT_NOT_SAVED;
		}

		// Load template
		LOAD_TEMPLATE("admin_settings_saved", false, $content);
	}
	 else
	{
		// Display form to edit
		list($sex, $surname, $family, $street, $zip, $city, $country, $email, $bday, $bmonth, $byear, $max) = SQL_FETCHROW($result_main);
		SQL_FREERESULT($result_main);

		// Transfer data to constants for the template
		switch ($sex)
		{
		case "M":
			define('_SEX_M', " selected=\"selected\"");
			define('_SEX_F', "");
			define('_SEX_C', "");
			break;

		case "F":
			define('_SEX_M', "");
			define('_SEX_F', " selected=\"selected\"");
			define('_SEX_C', "");
			break;

		case "C":
			define('_SEX_M', "");
			define('_SEX_F', "");
			define('_SEX_C', " selected=\"selected\"");
			break;
		}

		define('_SURNAME', $surname); define('_FAMILY', $family); define('_CITY'     , $city);
		define('_STREET' , $street);  define('_ZIP'   , $zip);    define('_MAX_MAILS', $max);
		define('_COUNTRY', $country); define('_EMAIL' , $email);

		// Load template
		LOAD_TEMPLATE("admin_edit_user", false, bigintval($_GET['u_id']));
	}
}
 else
{
	// Account does not exists!
	OUTPUT_HTML("<STRONG class=\"admin_failed\">".ADMIN_MEMBER_404_1.$_GET['u_id'].ADMIN_MEMBER_404_2."</STRONG>");
}
CLOSE_TABLE();
//
?>
